### Method

# Vte Terminal check_regex_simple_at

since: 0.70

#### Declaration [src]

    gboolean
    vte_terminal_check_regex_simple_at (
      VteTerminal* terminal,
      double x,
      double y,
      VteRegex** regexes,
      gsize n_regexes,
      guint32 match_flags,
      char** matches
    )

#### Description [src]

Checks each regex in `regexes` if the text in and around the position (x, y) matches the regular expressions. If a match exists, the matched text is stored in `matches` at the position of the regex in `regexes`; otherwise `NULL` is stored there. Each non-`NULL` element of `matches` should be freed with g_free().

Note that the regexes in `regexes` should have been created using the `PCRE2_MULTILINE` flag.

Available since: 0.70

This method is not directly available to language bindings.

The implementation of this method is provided by `vte_terminal_check_regex_array_at()` in language bindings.

#### Parameters

`x`

  Type: `double`

  No description available.

`y`

  Type: `double`

  No description available.

`regexes`

  Type: An array of `VteRegex*`

  An array of `VteRegex`.

  The length of the array is specified in the `n_regexes` argument.
  The data is owned by the caller of the method.

`n_regexes`

  Type: `gsize`

  Number of items in `regexes`.

  The argument will be set by the function.

`match_flags`

  Type: `guint32`

  PCRE2 match flags, or 0.

`matches`

  Type: An array of `char*`

  A location to store the matches.

  The argument will be set by the function.
  The length of the array is specified in the `n_regexes` argument.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  Each element is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` iff any of the regexes produced a match.